<mat-card>
    <mat-card-header>
        <div mat-card-avatar class="example-header-image"></div>
        <mat-card-title>Reservation List</mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <mat-list role="list">
            <mat-list-item *ngFor="let reservation of reservations" (click) ="onEditReservation(reservation)">
                <h3 matLine>{{reservation.id}}</h3>
                <p matLine>
                    <span>From: {{reservation.reservationFrom | date : 'short'}}</span> -
                    <span>Ends: {{reservation.reservationTo | date : 'short'}}</span>
                </p>
                <p matLine>
                    <span>Returned: {{reservation.returned ? 'Yes' : 'No'}}</span>
                </p>
                <p matLine>
                    <span>User Id: {{reservation.userId}}</span>
                </p>
                <mat-divider></mat-divider>
            </mat-list-item>
            
        </mat-list>
    </mat-card-content>
    <div *ngIf="!hideForm">
        <app-reservation-form [movieReservation] = "eventReserSubject.asObservable()"></app-reservation-form>
    </div>
    <button mat-flat-button color="primary" (click)="showForm()" class="add-button">Add new</button>
</mat-card>